From dd99890ac997f61142e4c22bafff4d45ae26bde1 Mon Sep 17 00:00:00 2001
From: Jonathan Leech-Pepin <jonathan.leechpepin@gmail.com>
Date: Thu, 4 Sep 2014 08:31:09 -0400
Subject: [PATCH] org-passwords.el: Fix
 `org-passwords-generate-password-with-symbols` to not
 insert password

* org-passwords.el (org-passwords-generate-password-with-symbols): Do not insert password,
this matches how `org-passwords-generate-password-without-symbols` behaves.
---
 contrib/lisp/org-passwords.el |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff --git a/contrib/lisp/org-passwords.el b/contrib/lisp/org-passwords.el
index 7ed8c80..9c3a916 100644
--- a/contrib/lisp/org-passwords.el
+++ b/contrib/lisp/org-passwords.el
@@ -221,12 +221,12 @@ uppercase letters.  Argument ARG include symbols."
   "Return a string consisting of PREVIOUS-STRING and
 NUMS-OF-CHARS random characters."
   (if (eq nums-of-chars 0) previous-string
-    (insert (org-passwords-generate-password-with-symbols
+    (org-passwords-generate-password-with-symbols
 	     (concat previous-string
 		     (char-to-string
 		      ;; symbols, letters, numbers are from 33 to 126
 		      (+ (random (- 127 33)) 33)))
-	     (1- nums-of-chars)))))
+	     (1- nums-of-chars))))
 
 (defun org-passwords-generate-password-without-symbols (previous-string nums-of-chars)
   "Return string consisting of PREVIOUS-STRING and NUMS-OF-CHARS
-- 
1.7.9

